@import "./../public/scss/variable.scss";

.Content {
  width: calc(100vw - 430px);
  float: right;
  padding-right: 40px;
  padding-bottom: 100px;
  height: 100vh;
  overflow: auto;

  .filter {
    float: right;
    font-size: 12px;
    display: flex;
    align-items: baseline;

    p {
      float: left;
      font-weight: 600;
      text-align: left;
      color: $headerColor;
    }

    form.pricing_cycle {
      float: left;
    }

    @media screen and (max-width: 1450px) {
      margin-top: 40px;
    }
  }

  .rwt__tablist {
    margin-top: 55px;

    @media screen and (max-width: 1450px) {
      margin-top: 15px;
      float: left;
      width: 100%;
    }
  }

  .rwt__tab {
    font-size: 12px;
    // width: 155px;
    padding: 10px 15px 10px 40px;
    background-color: $grey;
    margin-right: 2px;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    cursor: pointer;
    font-family: $fontProxima;
    font-weight: 600;
    text-align: left;
    color: $horizontalTabActive;

    @media screen and (max-width: 1100px) {
      font-size: 12px;
      width: 135px;
      padding: 10px 5px 10px 30px;
    }
  }

  .rwt__tabpanel {
    .statistics_display {
      margin: 20px 40px;
      float: left;

      label {
        font-weight: 600;
        line-height: 52px;
        text-align: left;
        color: $Sidebar;
        padding-right: 10px;
      }

      .MuiOutlinedInput-notchedOutline {
        border: 1px solid $dropdownBorder;
        filter: drop-shadow(0px 2px 3px rgba(0, 0, 0, 0.05));
      }

      .MuiOutlinedInput-root.Mui-focused {
        .MuiOutlinedInput-notchedOutline {
          border-color: $dropdownBorder;
          border-width: 1px;
        }
      }

      .MuiSelect-select {
        &:focus {
          border-radius: 0;
          background-color: $whiteColor;
        }
      }

      .MuiSelect-selectMenu {
        font-weight: 600;
        font-size: 14px;
        line-height: 20px;
        text-align: left;
        color: $headerColor;

        &::after {
          content: url("./../public/images/Content/small-down.svg");
          margin-left: 20px;
        }
      }

      .MuiSelect-icon {
        display: none;
      }
    }
  }

  .rwt__tab[aria-selected="true"] {
    position: relative;
    background: $horizontalTabActive;
    color: $whiteColor;
  }

  .rwt__tablist:not([aria-orientation="vertical"]) .rwt__tab[aria-selected="true"]:after {
    border-bottom: none;
  }

  .rwt__tab {
    position: relative;

    &::before {
      position: absolute;
      left: 15px;

      @media screen and (max-width: 1100px) {
        left: 8px;
      }
    }
  }

  .rwt__tab.trends {
    &::before {
      content: url("./../public/images/Content/pricing.svg");
    }

    &[aria-selected="true"]::before {
      content: url("./../public/images/Content/pricing_active.svg");
    }
  }

  .rwt__tab.compare {
    &::before {
      content: url("./../public/images/Content/compare.svg");
    }

    &[aria-selected="true"]::before {
      content: url("./../public/images/Content/compare_active.svg");
    }
  }

  .rwt__tab.audit {
    &::before {
      content: url("./../public/images/Content/audit.svg");
    }

    &[aria-selected="true"]::before {
      content: url("./../public/images/Content/audit_active.svg");
    }
  }

  .rwt__tab.export {
    &::before {
      content: url("./../public/images/Content/export.svg");
    }

    &[aria-selected="true"]::before {
      content: url("./../public/images/Content/export_active.svg");
    }
  }

  .rwt__tablist:not([aria-orientation="vertical"]) {
    border-bottom: 1px solid $Sidebar;
    margin-bottom: 20px;
  }
}

// url('./../public/images/Login/bg-footer.svg');

/* filter css */
.pricing_cycle {
  background-color: $grey;
  margin: 0 10px;
  border-top-left-radius: 6px;
  border-top-right-radius: 6px;

  .MuiSelect-select:focus {
    background-color: rgba(0, 0, 0, 0);
  }

  .MuiInput-underline:before {
    border: none;
  }

  .MuiInput-underline:hover:not(.Mui-disabled):before {
    border: none;
  }

  .MuiOutlinedInput-notchedOutline {
    border: none;
  }

  .MuiOutlinedInput-root.Mui-focused {
    .MuiOutlinedInput-notchedOutline {
      border-color: none;
      border-width: 1px;
    }
  }

  .MuiSelect-select {
    &:focus {
      border-radius: 0;
      background-color: transparent !important;
    }
  }

  .MuiSelect-selectMenu {
    font-weight: 600;
    font-size: 14px;
    line-height: 40px;
    text-align: left;
    color: $headerColor;

    &::after {
      content: url("./../public/images/Content/small-down.svg");
      margin-left: 20px;
    }
  }

  .MuiSelect-icon {
    display: none;
  }

  .MuiOutlinedInput-input {
    float: left;
    font-size: 12px;
    width: 135px;
    padding: 0px 5px 0px 10px;
    background-color: $grey;
    margin-left: 2px;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    cursor: pointer;
    font-family: "Proxima Nova";
    font-weight: 600;
    text-align: center;
    height: 38px;
  }
}

.date_lable {
  color: $horizontalTabActive;
  padding: 0 5px;
  font-family: "Proxima Nova";
  font-weight: 600;
}

.date_main {
  color: $datemain;
  font-family: "Proxima Nova";
  font-weight: 600;
  cursor: pointer;
}

.ic_name {
  width: 20px;
  margin: 5px;
  margin-top: 0px;
}

.daterangepicker:before {
  border: none !important;
}

.daterangepicker:after {
  top: unset !important;
  border: none !important;
}

.daterangepicker {
  border: 1px solid $horizontalTabActive !important;
}

.daterangepicker td.active,
.daterangepicker td.active:hover {
  background-color: $horizontalTabActive !important;
}

.calendar-table th {
  color: $verticalTabActive;
}

// Hight Charts
.highcharts-legend-item .highcharts-point,
.highcharts-legend-item .highcharts-graph {
  display: none;
}

.viewall {
  color: $viewall;
  text-decoration: underline;
  cursor: pointer;
}

/* */
.export_btn {
  color: $viewall;
  cursor: pointer;
}

.highcharts-container {
  width: 100vw;
}

.search_main {
  margin-right: 10px;
  margin-top: 3px;

  .form-control {
    background-color: #E8E8E8;
    height: 32px;
    font-size: 14px;
    border: none;
    padding-left: 32px;
    padding-right: 32px;

    &:focus {
      border: none;
      outline: none;
      box-shadow: none;
    }
  }

  .serach_ic {
    width: 16px;
    position: absolute;
    top: 8px;
    left: 8px;
  }

  .close_ic {
    cursor: pointer;
    width: 16px;
    position: absolute;
    top: 8px;
    right: 8px;
  }
}


@media screen and (max-width: 1494px) {
  g.highcharts-exporting-group {
    transform: translate(10px, 17px);
  }
}

// .highcharts-container {
//   width: 100% !important;
// }

// .highcharts-root {
//   width: 100% !important;
// }